NetBeans 3.3.1?

Discussions about integrations with other 3th party tools

Moderator: Moderators

NetBeans 3.3.1?

Postby christian sell » Thu Mar 21, 2002 12:57 pm

Hello,

I just installed into Netbeans 3.3.1, and keep getting exceptions quite
often. The one that is most easy to reproduce, and occurs right in the UML
View, is shown below. Is NB 3.3.1 supposed to be working? When?

Thu Mar 21 19:51:08 CET 2002: java.lang.ClassCastException:
com.nomagic.ide.forte.windows.UMLDataTopComponent
java.lang.ClassCastException:
com.nomagic.ide.forte.windows.UMLDataTopComponent
at
com.nomagic.ide.forte.windows.ZoomTopComponent.componentDeactivated(ZoomTopC
omponent.java:63)
at
org.openide.windows.WindowManager.activateComponent(WindowManager.java:154)
at
org.netbeans.core.windows.WindowManagerImpl.activateComponent(WindowManagerI
mpl.java:717)
at
org.netbeans.core.windows.frames.DefaultContainerImpl.doActivateComponent(De
faultContainerImpl.java:555)
at
org.netbeans.core.windows.frames.DefaultContainerImpl.reactivateSelectedComp
onent(DefaultContainerImpl.java:730)
at
org.netbeans.core.windows.frames.DefaultContainerImpl$2.run(DefaultContainer
Impl.java:889)
[catch] at
org.netbeans.core.windows.frames.DefaultContainerImpl$4.run(DefaultContainer
Impl.java:904)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.ja
va:131)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java
:98)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)



christian sell
 
Posts Rating:

Re: NetBeans 3.3.1?

Postby Mindaugas Ringys » Wed Mar 27, 2002 9:29 am

Hi Christian,

We have not tested MagicDraw integration with NetBeans, because we do not
support this IDE officially. I am afraid that MagicDraw 5.1 is not
compatible with NetBeans 3.3, because they have changed API in this version.

Thanks for using MagicDraw.

--
Mindaugas Ringys
Project Leader
No Magic Lithuanian Development Center
Gedimino g. 47- 408, 3000 Kaunas, Lithuania
P.O. box 2166, LT- 3000, Kaunas, Lithuania
Phone: +370 7 324032 Fax: +370 7 320670
e-mail : mindis
WWW: http://www.nomagic.com
--
OO software design can be an appealing challenge if you have
the best UML modeling tool: http://www.magicdraw.com




Mindaugas Ringys
 
Posts Rating:

Re: NetBeans 3.3.1?

Postby jose » Fri May 10, 2002 9:52 am

My vote for an NetBeans integration in Magic Draw



Mindaugas Ringys wrote:
> Hi Christian,
>
> We have not tested MagicDraw integration with NetBeans, because we do not
> support this IDE officially. I am afraid that MagicDraw 5.1 is not
> compatible with NetBeans 3.3, because they have changed API in this version.
>
> Thanks for using MagicDraw.
>
> --
> Mindaugas Ringys
> Project Leader
> No Magic Lithuanian Development Center
> Gedimino g. 47- 408, 3000 Kaunas, Lithuania
> P.O. box 2166, LT- 3000, Kaunas, Lithuania
> Phone: +370 7 324032 Fax: +370 7 320670
> e-mail : mindis
> WWW: http://www.nomagic.com
> --
> OO software design can be an appealing challenge if you have
> the best UML modeling tool: http://www.magicdraw.com
>
>
>
>


jose
 
Posts Rating:


Return to Integrations

Who is online

Users browsing this forum: No registered users and 0 guests